package cn.zhangdeman.config;


import jakarta.annotation.Resource;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.method.support.HandlerMethodArgumentResolver;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

import java.util.List;

@Configuration
public class BaseWebConfig implements WebMvcConfigurer {
    @Resource
    private Http404Interceptor   http404Interceptor;

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        registry.addInterceptor(http404Interceptor)
                .addPathPatterns("/**")//拦截所有请求
                .excludePathPatterns("/system/**");// 放行登录请求
    }
    @Override
    public void addArgumentResolvers(List<HandlerMethodArgumentResolver> resolvers) {
        resolvers.add(new SnakeToCamelCaseArgumentResolver());
    }
}
